Subject: Re: [PATCH net-next] net/mlx4_core: Handle null return by pci_match_id()

From: Wei Yang <[email-masked]>
Date: Tue, 1 Apr 2014 11:14:41 +0800

On Mon, Mar 31, 2014 at 09:12:04PM -0600, Bjorn Helgaas wrote:
>On Mon, Mar 31, 2014 at 7:41 PM, Wei Yang <[email-masked]> wrote:
>> On Mon, Mar 31, 2014 at 04:32:40PM -0400, David Miller wrote:
>>>From: Wei Yang <[email-masked]>
>>>Date: Mon, 31 Mar 2014 11:54:39 +0800
>>>
>>>> On Sun, Mar 30, 2014 at 09:08:06PM +0300, Or Gerlitz wrote:
>>>>>On Sun, Mar 30, 2014 at 6:26 PM, Amir Vadai <[email-masked]> wrote:
>>>>>> Fix issue introduced by commit: 97a5221 "net/mlx4_core: pass
>>>>>> pci_device_id.driver_data to __mlx4_init_one during reset".
>>>>>>
>>>>>> pci_match_id() might return NULL if someone binds the driver to a device
>>>>>> manually using /sys/bus/pci/drivers/.../new_id. Need to check 'id'
>>>>>> before using it.
>>>>>>
>>>>>> Thanks to Bjorn who raised the problem.
>>>>>
>>>>>Well, that commit was applied to net and is now present in Linus
>>>>>tree... so assuming it's too late for 3.14, need to queue this for
>>>>>-stable
>>>>>
>>>>>Or.
>>>>
>>>> Sorry for this bothering, hope this will not block someone.
>>>>
>>>> Here is my suggestion for fixing this, not sure this is a good way to export
>>>> pci_match_device() to modules. This is my current solution to this problem. If
>>>> you have any comments, please let me know.
>>>
>>>This needs to be ACK'd by the PCI maintainers, please make sure they see this.
>>
>> Yes, I think Bjorn, maintainers of PCI, is in the list.
>>
>> Bjorn,
>>
>> Do you have some concern on this implementation?
>> Or, you suggest me to send this to pci maillist too?
>
>I haven't looked at the patch yet, but yes, please do copy linux-pci as well.

Ok, I will send this one again to both net and pci mail list.

-- 
Richard Yang
Help you, Help me